<template>
  <div class="task-check-card-wrapper">
    <TaskCheckPersonalView
      class="task-check-card-view"
      :avatarUrl="avatarUrl"
      :name="name"
      :genderType="genderType"
      :isRealName="isRealName"
      :contactPhone="contactPhone"
    >
      <template #actions>
        <nut-button
          v-if="checkAcceptStatus === FlexTaskCheckAcceptStatusEnum.Wait"
          type="primary"
          class="task-check-card-phone-btn"
          >验收</nut-button
        >
        <div v-else class="task-check-card-phone-status" :style="{ color: Colors.Success }">
          {{ FlexTaskCheckAcceptStatusEnumText[checkAcceptStatus] }}
        </div>
      </template>
    </TaskCheckPersonalView>
  </div>
</template>

<script setup lang="ts">
import TaskCheckPersonalView from './TaskCheckPersonalView.vue';
import { Colors, Gender } from '@12333/constants';
import {
  FlexTaskCheckAcceptStatusEnum,
  FlexTaskCheckAcceptStatusEnumText,
} from '@12333/constants/task';

defineOptions({
  name: 'TaskCheckCard',
});

type Props = {
  avatarUrl?: string;
  name?: string;
  genderType?: Gender;
  isRealName?: boolean;
  contactPhone?: string;
  checkAcceptStatus?: API.FlexTaskCheckAcceptStatusEnum;
};

const props = withDefaults(defineProps<Props>(), {});
</script>

<style lang="scss">
@import '@/styles/common.scss';

.task-check-card-wrapper {
  background: #ffffff;
  border-radius: 12px;
  padding: 40px;
  padding-right: 26px;
  margin-bottom: 24px;

  &:last-child {
    margin-bottom: 0;
  }

  .task-check-card-view {
    .task-check-card-phone-container {
      margin-top: 0;
    }
  }

  .task-check-card-phone-status {
    font-size: 24px;
    height: 52px;
    line-height: 52px;
  }
}
</style>
